 # Liste der Dienste, die berprft und gestartet werden sollen
$servicesToCheck = @(
    "DIENSTNAME1",
    "DIENSTNAME2",
    "DIENSTNAME3"
)

# berprfen und Starten der Dienste
foreach ($service in $servicesToCheck) {
    $serviceStatus = Get-Service -Name $service -ErrorAction SilentlyContinue
    if ($serviceStatus -eq $null) {
        Write-Host "Der Dienst $service existiert nicht."
    }
    elseif ($serviceStatus.Status -ne "Running") {
        Write-Host "Der Dienst $service ist gestoppt. Starte den Dienst..."
        Start-Service -Name $service
        Write-Host "Der Dienst $service wurde gestartet."
    }
    else {
        Write-Host "Der Dienst $service ist bereits gestartet."
    }
}
 
